/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: RowColorDataGrid.as 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notification.view.components
{
  import mx.controls.DataGrid;
  import flash.display.Sprite;
  import mx.collections.ArrayCollection;

  public class RowColorDataGrid extends DataGrid
  {
    public var rowColorFunction:Function;

    /**
     * Constructor. Calls the superclass constructor.
     */
    public function RowColorDataGrid()
    {
      super();
    }

    /**
     * Function that colors the backround of the row using the degree
     * of the notification. It uses a specific coloring function
     * called roxColorFunction.
     */
    override protected function drawRowBackground(s:Sprite,
      rowIndex:int, y:Number, height:Number, color:uint, dataIndex:int):void
    {
        if(rowColorFunction != null && dataProvider != null)
        {
          var item:Object;
          if(dataIndex < dataProvider.length)
          {
              item = dataProvider[dataIndex];
          }

          if(item)
          {
              color = rowColorFunction(item, rowIndex, dataIndex, color);
          }
        }

        super.drawRowBackground(s, rowIndex, y, height, color, dataIndex);
    }
  }

}
