/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ColumnSettingVO.as 4918 2009-08-14 13:10:11Z radua $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notification.vo
{
import com.adobe.cairngorm.vo.IValueObject;
[RemoteClass(alias="org.ow2.jasmine.monitoring.eos.notification.service.exchange.ColumnSetting")]
[Bindable]
public class ColumnSettingVO implements IValueObject
{
    public function ColumnSettingVO()
    {
    }

    /**
     * Id of the column.
     */
    private var paramId : String;


    /**
     * Content of the column - it matches over the attributes of the ColumnSettingVO.
     */

    private var paramDataField : String;

    /**
     * The headerText of the column, which is displayed as the name of the column.
     */
    private var paramHeaderText : String;

    /**
     * The displayed parameter which is checked to see if the column will be displayed or not.
     */
    private var paramDisplayed : String;


    public function set id( _id : String ) : void
    {
      this.paramId = _id;
    }

    public function get id() : String
    {
      return this.paramId;
    }



    public function set dataField( _dataField : String ) : void
    {
      this.paramDataField = _dataField;
    }

    public function get dataField() : String
    {
      return this.paramDataField;
    }


    public function set headerText( _headerText : String ) : void
    {
      this.paramHeaderText = _headerText;
    }

    public function get headerText() : String
    {
      return this.paramHeaderText;
    }



    public function set displayed( _displayed : String ) : void
    {
      this.paramDisplayed = _displayed;
    }

    public function get displayed() : String
    {
      return this.paramDisplayed;
    }

}
}