/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: NotificationBoardSettingsVO.as 4917 2009-08-14 12:35:59Z radua $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notification.vo
{
  import mx.collections.ArrayCollection;


/**
 * This class represents an object that englobes a list of actions
 * and a list of columns to be displayed. Actually, in the list of actions
 * is a list of NotificationSetting objects, that include more than the actions
 * list.
 */
[RemoteClass(alias="org.ow2.jasmine.monitoring.eos.notification.service.exchange.NotificationBoardSettings")]
[Bindable]
public class NotificationBoardSettingsVO
{
    private var paramActionList: ArrayCollection;
    private var paramColumnList: ArrayCollection;


    public function NotificationBoardSettingsVO()
    {
    }

    public function set actionsList(_actionsList : ArrayCollection) : void {
        this.paramActionList = _actionsList;
    }

    public function get actionsList() : ArrayCollection {
        return this.paramActionList;
    }

    public function set columnsList(_columnsList : ArrayCollection) : void {
        this.paramColumnList = _columnsList;
    }

    public function get columnsList() : ArrayCollection {
        return this.paramColumnList;
    }

}
}